import httpRequest from '@/utils/axios'

// 案例列表
export function case2s(params = {}) {
  return httpRequest.get('/api/opera/v2/training/cases', { params })
}

// 删除案例
export function deleteCase2(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.delete(`/api/opera/v2/training/${id}/case`, { params }, { headers })
}

// 添加案例
export function createCase2(data) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.post('/api/opera/v2/training/case', data, { headers })
}

// 案例详情
export function Case2(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get(`/api/opera/v2/training/${id}/case`, { params }, { headers })
}

// 更新案例
export function updateCase2(data) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.put('/api/opera/v2/training/cases', data, { headers })
}
